CatalinaDigester (Tomcat API Documentation)
Keywords: org.apache.catalina.util.CatalinaDigester class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class CatalinaDigester

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.commons.digester.Digester
              org.apache.catalina.util.CatalinaDigester

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class CatalinaDigester
extends org.apache.commons.digester.Digester

This extended digester filters out ${...} tokens to replace them with matching system properties.

Author:
  Simon Kitching, Remy Maucherat

Field Summary
`protected static IntrospectionUtils.PropertySource[]` | `source`

Fields inherited from class org.apache.commons.digester.Digester
`bodyText, bodyTexts, classLoader, configured, entityResolver, entityValidator, errorHandler, factory, JAXP_SCHEMA_LANGUAGE, locator, log, match, namespaceAware, namespaces, params, parser, publicId, reader, root, rules, saxLog, schemaLanguage, schemaLocation, stack, useContextClassLoader, validating, W3C_XML_SCHEMA`

Constructor Summary
`CatalinaDigester()`

Method Summary
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` Invoke inherited implementation after applying variable substitution to the character data contained in the current element.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes list)` Invoke inherited implementation after applying variable substitution to any attribute values containing variable references.

Methods inherited from class org.apache.commons.digester.Digester
`addBeanPropertySetter, addBeanPropertySetter, addCallMethod, addCallMethod, addCallMethod, addCallMethod, addCallParam, addCallParam, addCallParam, addCallParam, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addObjectCreate, addObjectCreate, addObjectCreate, addObjectCreate, addRule, addRuleSet, addSetNext, addSetNext, addSetProperties, addSetProperties, addSetProperties, addSetProperty, addSetRoot, addSetRoot, addSetTop, addSetTop, characters, clear, configure, createSAXException, createSAXException, createSAXException, endDocument, endPrefixMapping, error, fatalError, findNamespaceURI, getClassLoader, getCount, getCurrentElementName, getDebug, getDocumentLocator, getEntityResolver, getErrorHandler, getFactory, getFeature, getLogger, getMatch, getNamespaceAware, getParser, getProperty, getPublicId, getReader, getRoot, getRuleNamespaceURI, getRules, getSchema, getSchemaLanguage, getUseContextClassLoader, getValidating, getXMLReader, ignorableWhitespace, log, log, notationDecl, parse, parse, parse, parse, parse, peek, peek, pop, processingInstruction, push, register, resolveEntity, setClassLoader, setDebug, setDocumentLocator, setEntityResolver, setErrorHandler, setFeature, setLogger, setNamespaceAware, setProperty, setPublicId, setRuleNamespaceURI, setRules, setSchema, setSchemaLanguage, setUseContextClassLoader, setValidating, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected static IntrospectionUtils.PropertySource[] source

Constructor Detail

### CatalinaDigester

    public CatalinaDigester()

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes list)
                      throws org.xml.sax.SAXException

  Invoke inherited implementation after applying variable substitution to any attribute values containing variable references.

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Invoke inherited implementation after applying variable substitution to the character data contained in the current element.

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.